from sqlalchemy import Date, DateTime, String, BigInteger, Column, Integer
from config.database import Base


class SysStatistics(Base):
    """
    系统统计数据表
    """

    __tablename__ = 'sys_statistics'

    statistic_id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='统计项目ID')
    stat_date = Column(Date, nullable=False, comment='统计日期')
    llm_call = Column(BigInteger, nullable=True, comment='大模型调用量')
    access_control_count = Column(BigInteger, nullable=True, comment='门禁通行量')
    visitor_guide = Column(BigInteger, nullable=True, comment='访客引导次数')
    exhibition_explanation = Column(BigInteger, nullable=True, comment='展厅讲解次数')
    access_control_success_rate = Column(Integer, nullable=True, comment='门禁识别成功率(%)')
    create_time = Column(DateTime, nullable=True, comment='创建时间')
    create_by = Column(String(64), nullable=True, comment='创建者')
    update_time = Column(DateTime, nullable=False, comment='修改时间')
    update_by = Column(String(64), nullable=True, comment='修改者')



